<?php
/**
 * 前台新闻页面主文件 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once('include/config.php');             // 调用配置文件
require_once('include/db_mysql.php');           // 调用数据库类
require_once('include/common.inc.php');         // 调用公共配置文件
require_once('include/smarty_con.php');         // 调用smarty文件
require_once('include/function.php');           // 调用基本函数库
require_once('include/page.class.php');         // 调用分页类

require_once('include/include_default.php');    // 调用默认固定标签
require_once('include/include_top.php');        // 调用头部标签
//require_once('include/include_about.php');      // 调用关于我们标签
require_once('include/include_ad.php');         // 调用广告标签
require_once('include/include_article.php');    // 调用文章标签
//require_once('include/include_case.php');       // 调用项目标签
//require_once('include/include_contact.php');    // 调用联系我们标签
//require_once('include/include_down.php');       // 调用下载标签
require_once('include/include_link.php');       // 调用友情链接标签
require_once('include/include_news.php');       // 调用新闻标签
//require_once('include/include_person.php');     // 调用诚聘英才标签
//require_once('include/include_product.php');    // 调用产品标签
//require_once('include/include_resource.php');   // 调用资源标签
//require_once('include/include_service.php');    // 调用客户服务标签
//require_once('include/include_vote.php');       // 调用投票标签
//require_once('include/include_blog.php');       // 调用博客标签


/**
 +-------------------------------------------------------------------
 * 主体处理程序
 +-------------------------------------------------------------------
 */ 

// - 安全检查
$id = intval($_GET['id']);
if (empty($id)) {
	$act = empty($_GET['act']) ? 'list' : $_GET['act'];
} else {
	$act = empty($_GET['act']) ? 'page' : $_GET['act'];
}

switch($act) {

	case 'list':


		break;

	case 'ser':

		$perpage = empty($_GET['pe']) ? 10 : $_GET['pe']; // 每页显示记录条数
		$page    = empty($_GET['page']) ? 1 : $_GET['page']; // 当页页数
		$pbegin  = ($page * $perpage - $perpage) < 0 ? 0 : $page * $perpage - $perpage; // 起始数据

		$keyword   = mysql_real_escape_string($_REQUEST['keyword']); // 关键字转义
		$condition = mysql_real_escape_string($_REQUEST['condition']); // 转义

		$condition = ($condition == 'cn_title' or $condition == 'cn_content' or $condition == 'tk_title' or $condition == 'tk_content' or $condition == 'en_title' or $condition == 'en_content') ?  $condition : 'cn_title';

		$tal     = $db->getarray($db->query("select COUNT(*) as total from {$prefix}_news where $condition LIKE '%".$keyword."%'")); // 总记录条数
		$total   = $tal['total'];

		$re1s = $db->query("select * from {$prefix}_news where $condition LIKE '%".$keyword."%' order by compositor asc,time desc limit $pbegin, $perpage");
		while($re1r = $db->getarray($re1s)) {
			$re1r['time_year'] = date("Y-m-d H:i:s", $re1r['time']);
			$re1r['time_y'] = date("Y", $re1r['time']);
			$re1r['time_m'] = date("m", $re1r['time']);
			$re1r['time_d'] = date("d", $re1r['time']);
			$re1r['time_h'] = date("H", $re1r['time']);
			$re1r['time_i'] = date("i", $re1r['time']);
			$re1r['time_s'] = date("s", $re1r['time']);
			$did  = $re1r['did'];
			$re2s = $db->query("select * from {$prefix}_news_dir where id='$did'");
			$re2r = $db->getarray($re2s);
			$re1r['d_cn_title'] = $re2r['cn_title'];
			$re1r['d_tk_title'] = $re2r['tk_title'];
			$re1r['d_en_title'] = $re2r['en_title'];
			$news_list_array[] = smarrayall($re1r);
		}

		$smarty->assign('news_list', $news_list_array);

		// - 分页

		$fpage = new page(array('total'=>$total, 'perpage'=>$perpage)); // 调用分页
		// 输出分页，其中70是简、71是繁、72是英
		if ($language == 'cn') {
			$smarty->assign('news_page', $fpage->show(70)); // 输出简体分页
		} elseif ($language == 'tk') {
			$smarty->assign('news_page', $fpage->show(71)); // 输出繁体分页
		} elseif ($language == 'en') {
			$smarty->assign('news_page', $fpage->show(72)); // 输出繁体分页
		} else {
			$smarty->assign('news_page', $fpage->show(70)); // 输出简体分页
		}
		$smarty->assign('url', base64_encode($fpage->_get_url($page))); // 记住url，以便返回

		break;

	case 'page':

		/**
		 +-------------------------------------------------------------------
		 * 新闻前台调用参数
		 +-------------------------------------------------------------------
		 * ID  数据列表
		 * ID: <!--{$view.id}-->
		 * 目录ID: <!--{$view.did}-->
		 * 简体目录标题: <!--{$view.d_cn_title}-->
		 * 繁体目录标题: <!--{$view.d_tk_title}-->
		 * 英文目录标题: <!--{$view.d_en_title}-->
		 * 审核: <!--{$view.passed}-->// 1 已审 0 未审
		
		 * 中文标题: <!--{$view.cn_title}-->
		 * 繁体标题: <!--{$view.tk_title}-->
		 * 英文标题: <!--{$view.en_title}-->
		 * 关键字: <!--{$view.keyword}-->
		 * 是否图片新闻： <!--{$view.ynpic}--> // 1 是 0 否
		 * 新闻图片地址： <!--{$view.pic}-->
		
		 * 时间： <!--{$view.time}--> // xxxx-xx-xx xx:xx
		
		 * 中文作者： <!--{$view.cn_author}-->
		 * 繁体作者： <!--{$view.tk_author}-->
		 * 英文作者： <!--{$view.en_author}-->
		 * 中文编辑： <!--{$view.cn_editor}-->
		 * 繁体编辑： <!--{$view.tk_editor}-->
		 * 英文编辑： <!--{$view.en_editor}-->
		
		 * 来源： <!--{$view.source}-->
		 * 排序： <!--{$view.compositor}-->
		 * 是否显示： <!--{$view.available}--> // 1 显示 0 不显示
		
		 * 点击量： <!--{$view.hits}-->
		 * 中文内容： <!--{$view.cn_content}-->
		 * 繁体内容： <!--{$view.tk_content}-->
		 * 英文内容： <!--{$view.en_content}-->
		 +-------------------------------------------------------------------
		 */

		// - 输出数据列表
		$re1s = $db->query("select * from {$prefix}_news where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re2s = $db->query("select * from {$prefix}_news_dir where id = '{$re1r['did']}'");
		$re2r = $db->getarray($re2s);
		$re1r['time'] = date("Y-m-d H:s" ,$re1r['time']);
		$re1r['d_cn_title'] = $re2r['cn_title'];
		$re1r['d_tk_title'] = $re2r['tk_title'];
		$re1r['d_en_title'] = $re2r['en_title'];
		$viewlist = smarrayall($re1r);
		$smarty->assign('view', $viewlist); // 定义显示数组

		// 访问量加1
		$db->update("update {$prefix}_news set hits=hits+1 where id='$id'");

		break;
}


/* ***********************************************************
* 调用模板文件
*********************************************************** */
$smarty->assign('act', $act);
$setuplist = smarrayall($setup);
$smarty->assign('setup', $setuplist); // 定义显示数组
$smarty->assign('ptime', ptime($time_start)); // 程序结束时间
$smarty->assign('c_userid', $c_userid); // Cookie userid
$smarty->assign('c_username', $c_username);  // Cookie username
// 调用相对应的模板文件，$skins是默认风格，$language是默认语言
$smarty->display('skins/'.$skins.'/'.$language.'_news.html', cache_id('news.php'));
?>